#!/bin/sh

. /var/config/userlink
GDZIE=/    

wget -P /tmp $ADRES/e2loadepg.tar.gz 2>/dev/null   

if [ -e /tmp/e2loadepg.tar.gz ] ; then      

    echo "Cancello la vecchia e2loadepg se presente..."
    echo ""
    rm -fr /hdd/epg
    sleep 3

    echo "Scrivo la nuova e2loadepg"
    echo ""
    cd /
    tar -xvzf /tmp/e2loadepg.tar.gz -C $GDZIE >/dev/null
    
    sleep 2
    
    rm /tmp/e2loadepg.tar.gz

    sleep 3
    
    echo "Aggiornamento terminato"
    echo ""

else     
    echo "Non ci sono file sul server oppure il server non risponde !"
fi

exit 0